Автор Тема: libopenjpeg пора обновлять  (Прочитано 1245 раз)

Оффлайн ASte

  • Мастер
  • ***
  • Сообщений: 1 557
libopenjpeg пора обновлять
« : 06.10.2016 21:43:40 »
https://www.anti-malware.ru/news/2016-10-04/21118/?utm_source=google&amp%3Butm_medium=email&amp%3Butm_campaign=amdelivery

Цитировать
Выпущенное на прошлой неделе обновление библиотеки OpenJPEG устраняет несколько уязвимостей. Среди них есть брешь, позволяющая выполнить произвольный код, используя специально созданные файлы-изображения.

OpenJPEG - библиотека с открытым исходным кодом, предназначенная для кодирования и декодирования изображений формата JPEG2000, который часто используется для встраивания изображений в PDF-документы. OpenJPEG используется популярными программами для просмотра PDF, например, встроенная в Googleinfo-icon Chrome PDFium использует эту библиотеку.

Исследователи Ciscoinfo-icon обнаружили, что уязвимость можно проэксплуатировать, если удастся заставить пользователя открыть специально созданное JPEG2000-изображение или PDF-документ, содержащий такое изображение.

В случае атаки, описанной экспертами, злоумышленник прикрепляет вредоносный файл к электронному письму или загружает на сервисы вроде Dropbox или Google Drive и затем дает пользователю ссылку на него.

Об этой уязвимости (CVE-2016-8332) разработчикам OpenJPEG было сообщено в конце июля. На прошлой неделе, с выходом версии 2.1.2, брешь была исправлена.

Оффлайн asy

  • alt linux team
  • ***
  • Сообщений: 8 117
Re: libopenjpeg пора обновлять
« Ответ #1 : 06.10.2016 22:02:27 »
Во-первых, мантейнер libopenjpeg2.0 на этом форуме не замечен, во-вторых, в Сизифе версия 2.1.2 уже пять дней, как. В p8 - два.

Оффлайн ASte

  • Мастер
  • ***
  • Сообщений: 1 557
Re: libopenjpeg пора обновлять
« Ответ #2 : 07.10.2016 00:18:20 »
Все понял... Я увидел старую libopenjpeg и не заметил libopenjpeg2.0..